easy_admin:
    entities:
        User:
            require_permission: ROLE_ADMIN
            controller: Notimeo\UserBundle\Controller\UserAdminController
            class: Notimeo\UserBundle\Entity\User
            search:
                fields:
                    - nickname
                    - username
                    - email
                    - active
            show:
                fields:
                    - { property: image, label: common.image, type: image, base_path: "%app.path.users_logos%" }
                    - property: fullName
                      label: entity.user.name.full_name
                    - { property: active, label: common.whether_active }
                    - property: email
                      label: common.email
                    - property: createdDate
                      label: common.creation_date
                    - property: points
                      label: entity.user_point.name.multiple
                    - property: note
                      label: entity.user.name.note
            list:
                dql_filter: 'entity.isCompany = 0'
                title: entity.user.title.list
                actions:
                    - { name: new, icon: plus }
                    - { name: edit, icon: pencil }
                    - { name: delete, icon: trash }
                fields:
                    - id
                    - { property: fullName, label: entity.user.name.full_name }
                    - property: email
                      label: common.email
                      template: "@Core/backend/display/field_email_envelope.html.twig"
                    - property: phone
                      label: common.phone_number
                    - property: createdDate
                      label: page.users_list.name.registration_date
                      template: "CoreBundle:backend/display:field_date_small_hours.html.twig"
                    - property: lastLoginDate
                      label: page.users_list.name.last_login_date
                      template: "CoreBundle:backend/display:field_date_small_hours.html.twig"
                    - property: points
                      label: entity.user_point.name.multiple
                      template: "CoreBundle:backend/display:field_not_float_number.html.twig"
                    - { property: active, label: common.whether_active }
                    - property: note
                      label: entity.user.name.note
                      template: "@User/backend/list/note.html.twig"
                    - property: activeClassifieds
                      label: page.list.name.classifieds_amount
                      template: "CoreBundle:backend/display:field_count.html.twig"
            form:
                fields:
                    - type: group
                      css_class: col-lg-5
                      label: common.main_content
                      icon: paint-brush


                    - property: active
                      label: common.whether_active
                    - property: username
                      type: text
                      label: entity.user.name.username
                    - property: nickname
                      type: text
                      label: entity.user.name.nickname
                      required: true
                    - property: password
                      type: repeated
                      help: entity.user.form.label.password_help
                      type_options:
                        type: \Symfony\Component\Form\Extension\Core\Type\PasswordType
                        required: false
                        first_options:
                            required: false
                            label: common.password
                        second_options:
                            required: false
                            label: entity.user.form.label.repeat_password
                    - property: email
                      type: text
                      label: common.email
                    - property: userRoles
                      type: \Notimeo\UserBundle\Form\Type\UserRolesType
                      label: entity.role.name.multiple
                    - property: website
                      type: text
                      label: common.website
                    - property: note
                      label: entity.user.name.note
                      help: entity.user.name.note_help
                      type: Notimeo\CoreBundle\Form\Type\CKEditorType
                      required: false
                    - type: section
                      label: common.media
                      icon: image
                    - property: imageFile
                      type: Vich\UploaderBundle\Form\Type\VichImageType
                      label: entity.user.form.label.image
                    - property: photos
                      type: collection
                      type_options:
                          label: common.photos
                          entry_type: Notimeo\UserBundle\Form\Type\UserPhotosType
                          by_reference: false
                          error_bubbling: false


                    - type: group
                      css_class: col-lg-7
                      label: entity.user.form.section.user_data
                      icon: address-card-o

                    - property: onlyOnlineInvoice
                      type: checkbox
                      label: entity.user.form.label.whether_online_invoice

                    - property: addresses
                      type: collection
                      type_options:
                          entry_type: App\AppCoreBundle\Form\Type\UserAddressType
                          error_bubbling: false
                          by_reference: false
                          label: false
            new:
                title: entity.user.title.new
            edit:
                title: entity.user.title.edit
                fields:
                    - property: username
                      type_options:
                        disabled: true
                        required: false
        UserCompany:
            require_permission: ROLE_ADMIN
            controller: Notimeo\UserBundle\Controller\UserCompanyAdminController
            class: Notimeo\UserBundle\Entity\User
            search:
                fields:
                    - username
                    - email
                    - active
            show:
                fields:
                    - { property: image, label: common.image, type: image, base_path: "%app.path.users_logos%" }
                    - property: fullName
                      label: entity.user.name.full_name
                    - { property: active, label: common.whether_active }
                    - property: email
                      label: common.email
                    - property: createdDate
                      label: common.creation_date
                    - property: points
                      label: entity.user_point.name.multiple
                    - property: note
                      label: entity.user.name.note
            list:
                dql_filter: 'entity.isCompany = 1'
                title: entity.company.title.list
                actions:
                    - { name: new, icon: plus }
                    - { name: edit, icon: pencil }
                    - { name: delete, icon: trash }
                fields:
                    - { property: id, label: common.id }
                    - property: fullName
                      label: common.company_name
                      template: "@Catalog/backend/list/profile_link.html.twig"
                    - property: website
                      label: common.website.short
                      template: "@Core/backend/display/field_link.html.twig"
                    - property: email
                      label: common.email.short
                      template: "@Core/backend/display/field_email_envelope.html.twig"
                    - property: phone
                      label: common.phone_number
                    - property: company.positionCity
                      label: entity.company.name.position_list
                    - property: getAddressBasic.city
                      label: common.city
                    - property: company.positionVoivodeship
                      label: entity.company.name.position_list
                    - property: getAddressBasic.voivodeship
                      label: common.voivodeship
                    - property: activeClassifieds
                      label: page.list.name.classifieds_amount
                      template: "CoreBundle:backend/display:field_count.html.twig"
                    - { property: active, label: common.whether_active }
                    - property: note
                      label: entity.user.name.note
                      template: "@User/backend/list/note.html.twig"
                    - property: checked
                      label: entity.user.name.checked
                      template: "@User/backend/list/checked.html.twig"
            form:
                fields:
                    - type: group
                      css_class: col-lg-12
                      label: common.main_content
                      icon: paint-brush


                    - property: checked
                      label: entity.user.name.checked
                    - property: active
                      label: common.whether_active
                    - property: archived
                      label: entity.user.name.archived
                    - property: username
                      type: text
                      label: entity.user.name.username
                      required: true
                    - property: password
                      type: repeated
                      type_options:
                        type: \Symfony\Component\Form\Extension\Core\Type\PasswordType
                        required: false
                        first_options:
                            required: false
                            label: common.password
                            attr:
                                data-help: entity.user.form.label.password_help
                        second_options:
                            required: false
                            label: entity.user.form.label.repeat_password
                    - property: userRoles
                      type: \Notimeo\UserBundle\Form\Type\UserRolesType
                      label: entity.role.name.multiple
                    - property: note
                      label: entity.user.name.note
                      help: entity.user.name.note_help
                      type: Notimeo\CoreBundle\Form\Type\CKEditorType
                      required: false
                    - type: section
                      label: common.media
                      icon: image
                    - property: imageFile
                      type: Vich\UploaderBundle\Form\Type\VichImageType
                      label: entity.user.form.label.image
                      help: entity.user.form.label.image_help
                    - property: photos
                      type: collection
                      type_options:
                          label: common.photos
                          entry_type: Notimeo\UserBundle\Form\Type\UserPhotosType
                          by_reference: false
                          error_bubbling: false


                    - type: group
                      css_class: col-lg-12
                      label: entity.user.form.section.user_data
                      icon: address-card-o

                    - property: createdDate
                      type: hidden
                      label: common.creation_date

                    - property: viewsAmount
                      type: hidden
                      label: entity.user.name.viewsAmount

                    - property: company
                      type: App\CatalogBundle\Form\Type\CompanyType
                      type_options:
                          label: false

                    - property: onlyOnlineInvoice
                      type: checkbox
                      label: entity.user.form.label.whether_online_invoice

                    - type: section
                      label: Adres

                    - property: addresses
                      type: collection
                      type_options:
                          entry_type: App\AppCoreBundle\Form\Type\UserAddressType
                          error_bubbling: false
                          by_reference: false
                          label: false

                    - property: email
                      type: text
                      label: common.email
                    - property: website
                      type: text
                      label: common.website
            new:
                title: entity.company.title.add
            edit:
                title: entity.company.title.edit
                fields:
                    - property: username
                      type_options:
                        disabled: true
                        required: false

                    - property: createdDate
                      type: datetime

                    - property: viewsAmount
                      type: integer
        Role:
            require_permission: ROLE_SUPERADMIN
            controller: Notimeo\UserBundle\Controller\RoleAdminController
            class: Notimeo\UserBundle\Entity\Role
            search:
                fields:
                    - id
                    - roleName
                    - name
            list:
                title: entity.role.title.list
                actions:
                    - { name: new, icon: plus }
                    - { name: edit, icon: pencil }
                    - { name: delete, icon: trash }
                fields:
                    - id
                    - { property: name, type: text, label: common.name }
                    - { property: role_name, type: text, label: entity.role.form.label.role_name }
                    - { property: users, label: entity.role.name.users_amount }
            form:
                fields:
                    - type: group
                      css_class: col-lg-6
                      label: common.main_content
                      icon: paint-brush

                    - { property: role_name, type: text, label: common.name }

                    - type: group
                      css_class: col-lg-6
                      label: entity.role.form.label.role_name
                      icon: file-text

                    - property: locales
                      type: collection
                      type_options:
                          label: false
                          entry_type: Notimeo\UserBundle\Form\Type\RoleLocaleType
                          error_bubbling: false
                          by_reference: false
            new:
                title: entity.role.title.new
            edit:
                title: entity.role.title.edit
        UserPoint:
            require_permission: ROLE_ADMIN
            class: Notimeo\UserBundle\Entity\UserPoint
            controller: Notimeo\UserBundle\Controller\UserPointAdminController
            list:
                title: entity.user_point.title.list
                actions:
                    - { name: new, icon: plus }
                    - { name: edit, icon: pencil }
                    - { name: delete, icon: trash }
                fields:
                    - id
                    - { property: user, label: entity.user.name.single }
                    - property: user.phone
                      label: common.phone_number
                    - property: user.email
                      label: common.email
                      template: "@Core/backend/display/field_email_envelope.html.twig"
                    - { property: point_type, label: entity.user_point_type.name.single }
                    - { property: points, label: common.points_amount }
                    - property: shortDescription
                      label: common.description
                      template: "@Core/backend/display/field_info.html.twig"
                    - property: createdDate
                      label: common.creation_date
            form:
                fields:
                    - type: group
                      css_class: col-lg-12
                      label: common.main_content
                      icon: paint-brush

                    - property: user
                      label: entity.user.name.single
                      type: Notimeo\UserBundle\Form\Type\UsersType
                    - property: pointType
                      label: entity.user_point_type.name.single
                    - property: points
                      label: common.points_amount
                      type: number
                    - property: shortDescription
                      label: common.description
                      type: textarea
                      type_options:
                        required: true
            new:
                title: entity.user_point.title.new
            edit:
                title: entity.user_point.title.edit
        UserPointType:
            require_permission: ROLE_ADMIN
            class: Notimeo\UserBundle\Entity\UserPointType
            search:
                fields:
                    - id
                    - name
            list:
                title: entity.user_point_type.title.list
                actions:
                    - { name: new, icon: plus }
                    - { name: edit, icon: pencil }
                    - { name: delete, icon: trash }
                fields:
                    - id
                    - { property: name, label: common.name }
            form:
                fields:
                    - type: group
                      css_class: col-lg-12
                      label: common.main_content
                      icon: paint-brush

                    - property: name
                      label: common.name
            new:
                title: entity.user_point_type.title.new
            edit:
                title: entity.user_point_type.title.edit
        UserConfig:
            require_permission: ROLE_ADMIN
            class: Notimeo\UserBundle\Entity\UserConfig
            controller: Notimeo\UserBundle\Controller\UserConfigAdminController
            config: